## org.apache.solr.common.cloud
Class ZooKeeperException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.solr.common.SolrException
                      org.apache.solr.common.cloud.ZooKeeperException

All Implemented Interfaces:
  Serializable

    public class ZooKeeperException

extends SolrException

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.common.SolrException
`SolrException.ErrorCode`

Field Summary

Fields inherited from class org.apache.solr.common.SolrException
`ignorePatterns`

Constructor Summary
`ZooKeeperException(SolrException.ErrorCode code, String msg)`
`ZooKeeperException(SolrException.ErrorCode code, String msg, Throwable th)`

Method Summary

Methods inherited from class org.apache.solr.common.SolrException
`code, doIgnore, getRootCause, log, log, log, log, toStr, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZooKeeperException

    public ZooKeeperException(SolrException.ErrorCode code,
                              String msg,
                              Throwable th)

### ZooKeeperException

    public ZooKeeperException(SolrException.ErrorCode code,
                              String msg)